Bug 364177 - bold font style not selectable for Message List substyles
Summary: bold font style not selectable for Message List substyles
Status: RESOLVED WORKSFORME
Alias: None
Product: kmail2
Classification: Applications
Component: config dialog (show other bugs)
Version: 5.2.1
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-10 11:29 UTC by Jonas Schäfer
Modified: 2017-04-18 20:19 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot of the UI (29.91 KB, image/png)
2016-06-10 12:05 UTC, Jonas Schäfer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonas Schäfer 2016-06-10 11:29:48 UTC
The pickers for the custom fonts for Message List styles do not offer Bold or any other non-italic non-oblique non-standard style. (I am going to attach a screenshot if possible to show what I’m referring to)

Reproducible: Always

Steps to Reproduce:
1. Open "Configure Kmail…", tab Appearance
2. Tick "Use custom fonts"
3. select "Message List - Unread Messages"

Actual Results:  
The "Font style" list only shows "Normal", "Italic", "Oblique", but not "Bold" or any other styles.

Expected Results:  
The "Font style" list should also offer "Bold" and possibly other styles.

My (uneducated) guess is that this is related to the disabling of the "Font" list.

The "Font" list is grayed out and stuck at "Monospace". When switching for example to the "Message List" custom font, I can select other fonts. Selecting Monospace will also only offer Italic and Oblique, while several other fonts (including the font I am ultimately using for the Message List) also offer Bold etc..

This is with kmail from debian experimental: Version 5.2.1

Using:
KDE Frameworks 5.22.0
Qt 5.5.1 (built against 5.5.1)
The xcb windowing system
Comment 1 Jonas Schäfer 2016-06-10 12:05:10 UTC
Created attachment 99439 [details]
screenshot of the UI
Comment 2 Jonas Schäfer 2017-04-12 06:24:23 UTC
Thanks for pinging me on this indirectly, I totally forgot about the bug.

The selection is now working, this can be set to resolved from my point-of-view.
Comment 3 Denis Kurz 2017-04-18 20:19:51 UTC
Nice, thanks for your report + feedback.